%global pypi_name flaky

Name:           python-%{pypi_name}
Version:        3.8.1
Release:        %mkrel 1
Summary:        Plugin for nose or py.test that automatically reruns flaky tests
Group:          Development/Python
License:        ASL 2.0
URL:            https://github.com/box/flaky
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
#BuildRequires:  python3dist(genty)
BuildRequires:  python3dist(nose)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(setuptools)

%description
Flaky is a plugin for nose or py.test that automatically reruns flaky
tests. Ideally, tests reliably pass or fail, but sometimes test fixtures must
rely on components that aren't 100% reliable. With flaky, instead of removing
those tests or marking them to @skip, they can be automatically retried.


%package -n     python3-%{pypi_name}
Summary:        Plugin for nose or py.test that automatically reruns flaky tests
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Requires:       python3dist(setuptools)

%description -n python3-%{pypi_name}
Flaky is a plugin for nose or py.test that automatically reruns flaky
tests. Ideally, tests reliably pass or fail, but sometimes test fixtures must
rely on components that aren't 100% reliable. With flaky, instead of removing
those tests or marking them to @skip, they can be automatically retried.


%prep
%autosetup -n %{pypi_name}-%{version}


# Use mock from standard library:
sed -i -e 's/import mock/from unittest import mock/' \
       -e 's/from mock/from unittest.mock/' \
       test/test_*/test_*.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files flaky

%if 0
%check
export PYTHONPATH=%{buildroot}%{python3_sitelib}
# adapted from upstream's tox.ini
%{__python3} -m nose -v --with-flaky --exclude="test_nose_options_example" test/test_nose/
%{__python3} -m pytest -v -k 'example and not options' --doctest-modules test/test_pytest/
%{__python3} -m pytest -v -k 'example and not options' test/test_pytest/
%{__python3} -m pytest -v -p no:flaky test/test_pytest/test_flaky_pytest_plugin.py
%{__python3} -m nose -v --with-flaky --force-flaky --max-runs 2 test/test_nose/test_nose_options_example.py
%{__python3} -m pytest -v --force-flaky --max-runs 2  test/test_pytest/test_pytest_options_example.py
%endif

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Thu Mar 21 2024 daviddavid <daviddavid> 3.8.1-1.mga10
+ Revision: 2051143
- new version: 3.8.1

* Tue Mar 12 2024 daviddavid <daviddavid> 3.8.0-1.mga10
+ Revision: 2049257
- new version: 3.8.0

* Tue Dec 12 2023 papoteur <papoteur> 3.7.0-5.mga10
+ Revision: 2017434
- rebuild for python 3.12

* Sat Mar 26 2022 umeabot <umeabot> 3.7.0-4.mga9
+ Revision: 1828630
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 mrambo3501 <mrambo3501> 3.7.0-3.mga9
+ Revision: 1783873
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 3.7.0-2.mga9
+ Revision: 1707443
- rebuild for python 3.9

* Thu Jan 07 2021 daviddavid <daviddavid> 3.7.0-1.mga8
+ Revision: 1669432
- initial package python-flaky

